Bug 124818 - no access to share when windows user name contains a space
no access to share when windows user name contains a space
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-30 15:09 EDT by David Bentley
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 14:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Bentley 2004-05-30 15:09:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.6) Gecko/20040510

Description of problem:
Cannot connect to a SAMBA share from a windows machine when the
windows user name contains space (ie firstname lastname).

This is not a problem with the current version on my fully updated
Fedora Core 1 machine.

As it is not practical to change the user names on the various windows
machines I will have to continue using the Fedora Core 1 machine as
the backup host for the user accounts on my windows machines.

Version-Release number of selected component (if applicable):
samba-3.0.3-5.i386.rpm 

How reproducible:
Always

Steps to Reproduce:
1.With the windows username of firstname lasname on a windows 98
machine doing a properties for the serverin Network Neighborhood you
get an error message if you do a properties for the samba server and
you can't access the server either

Actual Results:  The error message when doing a properties is
something like "You do not have the appropriate access rights for this
server"

When you try to connect it asks for a password and refuses access even
if the correct one is supplied.

Expected Results:  For properties you see Comment:       samba server
                       Workgroup:     HOME
                       User loged on: FRED
                       Logon domain:  HOME

and double clicking on the server's icon you get a window showing the
shared folder and printer as expected.

Additional info:

Similar situation's occur from both windows 2000 Pro and XP Pro when
user names contain spaces.

To prove that the space is the cause of the problem I have added
additional test user's (FRED) to all three types of machine and the
problem is nolonger present.
Comment 1 David Bentley 2004-05-30 16:16:51 EDT
Found the FIX for the problem I am experencing with SAMBA under Fedora
Core 2.

It was the blindingly obvious simply enclose the windows username with
the space in it in either single or double quotes. 

ie "firstname lastname" or 'firstname lastname'

I did not try this because the usual fix of substituting an undersore
for the space did not work.

I will leave it for Jay to decide what to do either leave it visible
for reference or mark it appropriately.
Comment 2 Matthew Miller 2005-04-26 12:13:11 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 David Bentley 2005-04-26 14:38:22 EDT
changed status to NOTABUG see comment #1

Note You need to log in before you can comment on or make changes to this bug.